Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: libhybris
Source: https://github.com/libhybris/libhybris
Comment:
 Libhybris incorperated code from variety of sources, and thus is under
 multiple copyright holders. The most strict license, as incoperated in the
 libraries, is LGPL-2.1+ in the EGL's Wayland support. The rest of the
 libraries are essentially under Apache-2.0. A couple of utilities are
 in GPL-3.0+, but that's pretty independent and shouldn't affect the rest
 of the libraries.

Files: hybris/common/jb/debugger.c
 hybris/common/jb/linker.c
 hybris/common/jb/linker.h
 hybris/common/jb/linker_debug.h
 hybris/common/jb/linker_environ.c
 hybris/common/jb/linker_environ.h
 hybris/common/jb/linker_format.c
 hybris/common/jb/linker_format.h
 hybris/common/jb/rt.c
 hybris/common/mm/bionic/libc/bionic/pthread_internal.h
 hybris/common/mm/bionic/libc/include/android/api-level.h
 hybris/common/mm/bionic/libc/include/link.h
 hybris/common/mm/bionic/libc/private/ThreadLocalBuffer.h
 hybris/common/mm/bionic/libc/private/__get_tls.h
 hybris/common/mm/bionic/libc/private/bionic_asm.h
 hybris/common/mm/bionic/libc/private/bionic_auxv.h
 hybris/common/mm/bionic/libc/private/bionic_futex.h
 hybris/common/mm/bionic/libc/private/bionic_lock.h
 hybris/common/mm/bionic/libc/private/bionic_mbstate.h
 hybris/common/mm/bionic/libc/private/bionic_ssp.h
 hybris/common/mm/bionic/libc/private/bionic_time.h
 hybris/common/mm/bionic/libc/private/bionic_time_conversions.h
 hybris/common/mm/bionic/libc/private/bionic_tls.h
 hybris/common/mm/bionic/libc/private/libc_events.h
 hybris/common/mm/bionic/libc/private/libc_logging.h
 hybris/common/mm/hybris_compat.cpp
 hybris/common/mm/hybris_compat.h
 hybris/common/mm/linker.cpp
 hybris/common/mm/linker.h
 hybris/common/mm/linker_debug.h
 hybris/common/mm/linker_phdr.cpp
 hybris/common/mm/linker_phdr.h
 hybris/common/mm/rt.cpp
 hybris/common/n/bionic/libc/bionic/pthread_internal.h
 hybris/common/n/bionic/libc/include/android/api-level.h
 hybris/common/n/bionic/libc/include/dlfcn.h
 hybris/common/n/bionic/libc/include/link.h
 hybris/common/n/bionic/libc/private/ThreadLocalBuffer.h
 hybris/common/n/bionic/libc/private/__get_tls.h
 hybris/common/n/bionic/libc/private/bionic_asm.h
 hybris/common/n/bionic/libc/private/bionic_auxv.h
 hybris/common/n/bionic/libc/private/bionic_futex.h
 hybris/common/n/bionic/libc/private/bionic_globals.h
 hybris/common/n/bionic/libc/private/bionic_lock.h
 hybris/common/n/bionic/libc/private/bionic_malloc_dispatch.h
 hybris/common/n/bionic/libc/private/bionic_mbstate.h
 hybris/common/n/bionic/libc/private/bionic_ssp.h
 hybris/common/n/bionic/libc/private/bionic_time.h
 hybris/common/n/bionic/libc/private/bionic_time_conversions.h
 hybris/common/n/bionic/libc/private/bionic_tls.h
 hybris/common/n/bionic/libc/private/bionic_vdso.h
 hybris/common/n/bionic/libc/private/get_cpu_count_from_string.h
 hybris/common/n/bionic/libc/private/libc_events.h
 hybris/common/n/bionic/libc/private/libc_logging.h
 hybris/common/n/hybris_compat.cpp
 hybris/common/n/hybris_compat.h
 hybris/common/n/linker.cpp
 hybris/common/n/linker.h
 hybris/common/n/linker_debug.h
 hybris/common/n/linker_phdr.cpp
 hybris/common/n/linker_phdr.h
 hybris/common/n/rt.cpp
 hybris/common/o/bionic/libc/bionic/pthread_internal.h
 hybris/common/o/bionic/libc/include/android/api-level.h
 hybris/common/o/bionic/libc/include/dlfcn.h
 hybris/common/o/bionic/libc/include/link.h
 hybris/common/o/bionic/libc/include/sys/_system_properties.h
 hybris/common/o/bionic/libc/include/sys/system_properties.h
 hybris/common/o/bionic/libc/private/__get_tls.h
 hybris/common/o/bionic/libc/private/bionic_arc4random.h
 hybris/common/o/bionic/libc/private/bionic_asm.h
 hybris/common/o/bionic/libc/private/bionic_auxv.h
 hybris/common/o/bionic/libc/private/bionic_errdefs.h
 hybris/common/o/bionic/libc/private/bionic_fortify.h
 hybris/common/o/bionic/libc/private/bionic_futex.h
 hybris/common/o/bionic/libc/private/bionic_globals.h
 hybris/common/o/bionic/libc/private/bionic_lock.h
 hybris/common/o/bionic/libc/private/bionic_malloc_dispatch.h
 hybris/common/o/bionic/libc/private/bionic_mbstate.h
 hybris/common/o/bionic/libc/private/bionic_sigdefs.h
 hybris/common/o/bionic/libc/private/bionic_ssp.h
 hybris/common/o/bionic/libc/private/bionic_time_conversions.h
 hybris/common/o/bionic/libc/private/bionic_tls.h
 hybris/common/o/bionic/libc/private/bionic_vdso.h
 hybris/common/o/bionic/libc/private/get_cpu_count_from_string.h
 hybris/common/o/bionic/libc/private/grp_pwd.h
 hybris/common/o/bionic/libc/private/icu.h
 hybris/common/o/dlfcn.cpp
 hybris/common/o/hybris_compat.cpp
 hybris/common/o/hybris_compat.h
 hybris/common/o/linked_list.h
 hybris/common/o/linker.cpp
 hybris/common/o/linker.h
 hybris/common/o/linker_allocator.cpp
 hybris/common/o/linker_allocator.h
 hybris/common/o/linker_block_allocator.cpp
 hybris/common/o/linker_block_allocator.h
 hybris/common/o/linker_cfi.cpp
 hybris/common/o/linker_cfi.h
 hybris/common/o/linker_common_types.h
 hybris/common/o/linker_config.cpp
 hybris/common/o/linker_config.h
 hybris/common/o/linker_debug.h
 hybris/common/o/linker_dlwarning.cpp
 hybris/common/o/linker_dlwarning.h
 hybris/common/o/linker_gdb_support.cpp
 hybris/common/o/linker_gdb_support.h
 hybris/common/o/linker_globals.cpp
 hybris/common/o/linker_globals.h
 hybris/common/o/linker_libc_support.c
 hybris/common/o/linker_libcxx_support.cpp
 hybris/common/o/linker_logger.cpp
 hybris/common/o/linker_logger.h
 hybris/common/o/linker_main.cpp
 hybris/common/o/linker_main.h
 hybris/common/o/linker_mapped_file_fragment.cpp
 hybris/common/o/linker_mapped_file_fragment.h
 hybris/common/o/linker_memory.cpp
 hybris/common/o/linker_namespaces.cpp
 hybris/common/o/linker_namespaces.h
 hybris/common/o/linker_phdr.cpp
 hybris/common/o/linker_phdr.h
 hybris/common/o/linker_reloc_iterators.h
 hybris/common/o/linker_relocs.h
 hybris/common/o/linker_sdk_versions.cpp
 hybris/common/o/linker_sleb128.h
 hybris/common/o/linker_soinfo.cpp
 hybris/common/o/linker_soinfo.h
 hybris/common/o/linker_utils.cpp
 hybris/common/o/linker_utils.h
 hybris/common/o/rt.cpp
 hybris/common/q/bionic/libc/async_safe/CHECK.h
 hybris/common/q/bionic/libc/bionic/libc_init_common.h
 hybris/common/q/bionic/libc/bionic/pthread_internal.h
 hybris/common/q/bionic/libc/include/android/api-level.h
 hybris/common/q/bionic/libc/include/android/fdsan.h
 hybris/common/q/bionic/libc/include/dlfcn.h
 hybris/common/q/bionic/libc/include/link.h
 hybris/common/q/bionic/libc/include/sys/_system_properties.h
 hybris/common/q/bionic/libc/include/sys/system_properties.h
 hybris/common/q/bionic/libc/private/CachedProperty.h
 hybris/common/q/bionic/libc/private/ScopedRWLock.h
 hybris/common/q/bionic/libc/private/SigSetConverter.h
 hybris/common/q/bionic/libc/private/__bionic_get_shell_path.h
 hybris/common/q/bionic/libc/private/__get_tls.h
 hybris/common/q/bionic/libc/private/bionic_allocator.h
 hybris/common/q/bionic/libc/private/bionic_arc4random.h
 hybris/common/q/bionic/libc/private/bionic_asm.h
 hybris/common/q/bionic/libc/private/bionic_asm_tls.h
 hybris/common/q/bionic/libc/private/bionic_auxv.h
 hybris/common/q/bionic/libc/private/bionic_ctype.h
 hybris/common/q/bionic/libc/private/bionic_defs.h
 hybris/common/q/bionic/libc/private/bionic_elf_tls.h
 hybris/common/q/bionic/libc/private/bionic_errdefs.h
 hybris/common/q/bionic/libc/private/bionic_fdsan.h
 hybris/common/q/bionic/libc/private/bionic_fortify.h
 hybris/common/q/bionic/libc/private/bionic_futex.h
 hybris/common/q/bionic/libc/private/bionic_globals.h
 hybris/common/q/bionic/libc/private/bionic_inline_raise.h
 hybris/common/q/bionic/libc/private/bionic_lock.h
 hybris/common/q/bionic/libc/private/bionic_malloc.h
 hybris/common/q/bionic/libc/private/bionic_malloc_dispatch.h
 hybris/common/q/bionic/libc/private/bionic_mbstate.h
 hybris/common/q/bionic/libc/private/bionic_sigdefs.h
 hybris/common/q/bionic/libc/private/bionic_ssp.h
 hybris/common/q/bionic/libc/private/bionic_time_conversions.h
 hybris/common/q/bionic/libc/private/bionic_tls.h
 hybris/common/q/bionic/libc/private/bionic_vdso.h
 hybris/common/q/bionic/libc/private/get_cpu_count_from_string.h
 hybris/common/q/bionic/libc/private/grp_pwd.h
 hybris/common/q/bionic/libc/private/icu.h
 hybris/common/q/bionic/libc/private/linker_native_bridge.h
 hybris/common/q/bionic/libc/private/sigrtmin.h
 hybris/common/q/dlfcn.cpp
 hybris/common/q/hybris_compat.cpp
 hybris/common/q/hybris_compat.h
 hybris/common/q/ld_android.cpp
 hybris/common/q/linked_list.h
 hybris/common/q/linked_list_test.cpp
 hybris/common/q/linker.cpp
 hybris/common/q/linker.h
 hybris/common/q/linker_allocator.cpp
 hybris/common/q/linker_allocator.h
 hybris/common/q/linker_block_allocator.cpp
 hybris/common/q/linker_block_allocator.h
 hybris/common/q/linker_block_allocator_test.cpp
 hybris/common/q/linker_cfi.cpp
 hybris/common/q/linker_cfi.h
 hybris/common/q/linker_common_types.h
 hybris/common/q/linker_config.cpp
 hybris/common/q/linker_config.h
 hybris/common/q/linker_config_test.cpp
 hybris/common/q/linker_debug.h
 hybris/common/q/linker_dlwarning.cpp
 hybris/common/q/linker_dlwarning.h
 hybris/common/q/linker_exidx_static.c
 hybris/common/q/linker_gdb_support.cpp
 hybris/common/q/linker_gdb_support.h
 hybris/common/q/linker_globals.cpp
 hybris/common/q/linker_globals.h
 hybris/common/q/linker_libc_support.c
 hybris/common/q/linker_libcxx_support.cpp
 hybris/common/q/linker_logger.cpp
 hybris/common/q/linker_logger.h
 hybris/common/q/linker_main.cpp
 hybris/common/q/linker_main.h
 hybris/common/q/linker_mapped_file_fragment.cpp
 hybris/common/q/linker_mapped_file_fragment.h
 hybris/common/q/linker_memory.cpp
 hybris/common/q/linker_mips.cpp
 hybris/common/q/linker_namespaces.cpp
 hybris/common/q/linker_namespaces.h
 hybris/common/q/linker_phdr.cpp
 hybris/common/q/linker_phdr.h
 hybris/common/q/linker_reloc_iterators.h
 hybris/common/q/linker_relocs.h
 hybris/common/q/linker_sdk_versions.cpp
 hybris/common/q/linker_sleb128.h
 hybris/common/q/linker_sleb128_test.cpp
 hybris/common/q/linker_soinfo.cpp
 hybris/common/q/linker_soinfo.h
 hybris/common/q/linker_test_globals.cpp
 hybris/common/q/linker_tls.cpp
 hybris/common/q/linker_tls.h
 hybris/common/q/linker_utils.cpp
 hybris/common/q/linker_utils.h
 hybris/common/q/linker_utils_test.cpp
 hybris/common/q/linker_wrapper.cpp
 hybris/common/q/rt.cpp
Copyright: 2007, The Android Open Source Project
  2008, The Android Open Source Project
  2008-2009, The Android Open Source Project
  2008-2010, The Android Open Source Project
  2010, The Android Open Source Project
  2011, The Android Open Source Project
  2012, The Android Open Source Project
  2013, The Android Open Source Project
  2014, The Android Open Source Project
  2015, The Android Open Source Project
  2016, The Android Open Source Project
  2017, The Android Open Source Project
  2018, The Android Open Source Project
  2019, The Android Open Source Project
License: BSD-2-clause-AOSP

Files: compat/hwc2/ComposerHal.cpp
 compat/hwc2/ComposerHal.h
 compat/hwc2/HWC2.cpp
 compat/hwc2/HWC2.h
 compat/media/SimplePlayer.cpp
 compat/media/SimplePlayer.h
 compat/media/codec.cpp
 hybris/common/jb/NOTICE
 hybris/common/jb/dlfcn.c
 hybris/common/mm/bionic/libc/include/android/dlext.h
 hybris/common/mm/bionic/libc/private/ErrnoRestorer.h
 hybris/common/mm/bionic/libc/private/KernelArgumentBlock.h
 hybris/common/mm/bionic/libc/private/NetdClientDispatch.h
 hybris/common/mm/bionic/libc/private/ScopeGuard.h
 hybris/common/mm/bionic/libc/private/ScopedPthreadMutexLocker.h
 hybris/common/mm/bionic/libc/private/ScopedReaddir.h
 hybris/common/mm/bionic/libc/private/UniquePtr.h
 hybris/common/mm/bionic/libc/private/bionic_config.h
 hybris/common/mm/bionic/libc/private/bionic_constants.h
 hybris/common/mm/bionic/libc/private/bionic_macros.h
 hybris/common/mm/bionic/libc/private/bionic_prctl.h
 hybris/common/mm/bionic/libc/private/bionic_string_utils.h
 hybris/common/mm/bionic/libc/private/bionic_systrace.h
 hybris/common/mm/bionic/libc/private/kernel_sigset_t.h
 hybris/common/mm/dlfcn.cpp
 hybris/common/mm/linked_list.h
 hybris/common/mm/linker_allocator.cpp
 hybris/common/mm/linker_allocator.h
 hybris/common/mm/linker_block_allocator.cpp
 hybris/common/mm/linker_block_allocator.h
 hybris/common/mm/linker_libc_support.c
 hybris/common/mm/linker_memory.cpp
 hybris/common/mm/linker_reloc_iterators.h
 hybris/common/mm/linker_relocs.h
 hybris/common/mm/linker_sdk_versions.cpp
 hybris/common/mm/linker_sleb128.h
 hybris/common/n/bionic/libc/include/android/dlext.h
 hybris/common/n/bionic/libc/private/ErrnoRestorer.h
 hybris/common/n/bionic/libc/private/KernelArgumentBlock.h
 hybris/common/n/bionic/libc/private/NetdClientDispatch.h
 hybris/common/n/bionic/libc/private/ScopeGuard.h
 hybris/common/n/bionic/libc/private/ScopedPthreadMutexLocker.h
 hybris/common/n/bionic/libc/private/ScopedReaddir.h
 hybris/common/n/bionic/libc/private/UniquePtr.h
 hybris/common/n/bionic/libc/private/WriteProtected.h
 hybris/common/n/bionic/libc/private/bionic_config.h
 hybris/common/n/bionic/libc/private/bionic_constants.h
 hybris/common/n/bionic/libc/private/bionic_macros.h
 hybris/common/n/bionic/libc/private/bionic_page.h
 hybris/common/n/bionic/libc/private/bionic_prctl.h
 hybris/common/n/bionic/libc/private/bionic_sdk_version.h
 hybris/common/n/bionic/libc/private/bionic_string_utils.h
 hybris/common/n/bionic/libc/private/bionic_systrace.h
 hybris/common/n/bionic/libc/private/kernel_sigset_t.h
 hybris/common/n/dlfcn.cpp
 hybris/common/n/linked_list.h
 hybris/common/n/linker_allocator.cpp
 hybris/common/n/linker_allocator.h
 hybris/common/n/linker_block_allocator.cpp
 hybris/common/n/linker_block_allocator.h
 hybris/common/n/linker_dlwarning.cpp
 hybris/common/n/linker_dlwarning.h
 hybris/common/n/linker_gdb_support.cpp
 hybris/common/n/linker_gdb_support.h
 hybris/common/n/linker_libc_support.c
 hybris/common/n/linker_mapped_file_fragment.cpp
 hybris/common/n/linker_mapped_file_fragment.h
 hybris/common/n/linker_memory.cpp
 hybris/common/n/linker_reloc_iterators.h
 hybris/common/n/linker_relocs.h
 hybris/common/n/linker_sdk_versions.cpp
 hybris/common/n/linker_sleb128.h
 hybris/common/n/linker_utils.cpp
 hybris/common/n/linker_utils.h
 hybris/common/o/bionic/libc/include/android-base/endian.h
 hybris/common/o/bionic/libc/include/android-base/errors.h
 hybris/common/o/bionic/libc/include/android-base/file.h
 hybris/common/o/bionic/libc/include/android-base/logging.h
 hybris/common/o/bionic/libc/include/android-base/macros.h
 hybris/common/o/bionic/libc/include/android-base/memory.h
 hybris/common/o/bionic/libc/include/android-base/parsedouble.h
 hybris/common/o/bionic/libc/include/android-base/parseint.h
 hybris/common/o/bionic/libc/include/android-base/parsenetaddress.h
 hybris/common/o/bionic/libc/include/android-base/properties.h
 hybris/common/o/bionic/libc/include/android-base/quick_exit.h
 hybris/common/o/bionic/libc/include/android-base/scopeguard.h
 hybris/common/o/bionic/libc/include/android-base/stringprintf.h
 hybris/common/o/bionic/libc/include/android-base/strings.h
 hybris/common/o/bionic/libc/include/android-base/test_utils.h
 hybris/common/o/bionic/libc/include/android-base/thread_annotations.h
 hybris/common/o/bionic/libc/include/android-base/unique_fd.h
 hybris/common/o/bionic/libc/include/android-base/utf8.h
 hybris/common/o/bionic/libc/include/android/dlext.h
 hybris/common/o/bionic/libc/include/android/versioning.h
 hybris/common/o/bionic/libc/private/CFIShadow.h
 hybris/common/o/bionic/libc/private/ErrnoRestorer.h
 hybris/common/o/bionic/libc/private/KernelArgumentBlock.h
 hybris/common/o/bionic/libc/private/NetdClientDispatch.h
 hybris/common/o/bionic/libc/private/ScopedPthreadMutexLocker.h
 hybris/common/o/bionic/libc/private/ScopedReaddir.h
 hybris/common/o/bionic/libc/private/WriteProtected.h
 hybris/common/o/bionic/libc/private/bionic_config.h
 hybris/common/o/bionic/libc/private/bionic_constants.h
 hybris/common/o/bionic/libc/private/bionic_macros.h
 hybris/common/o/bionic/libc/private/bionic_page.h
 hybris/common/o/bionic/libc/private/bionic_prctl.h
 hybris/common/o/bionic/libc/private/bionic_sdk_version.h
 hybris/common/o/bionic/libc/private/bionic_string_utils.h
 hybris/common/o/bionic/libc/private/bionic_systrace.h
 hybris/common/o/bionic/libc/private/kernel_sigset_t.h
 hybris/common/q/bionic/libc/include/android-base/chrono_utils.h
 hybris/common/q/bionic/libc/include/android-base/cmsg.h
 hybris/common/q/bionic/libc/include/android-base/collections.h
 hybris/common/q/bionic/libc/include/android-base/endian.h
 hybris/common/q/bionic/libc/include/android-base/errors.h
 hybris/common/q/bionic/libc/include/android-base/file.h
 hybris/common/q/bionic/libc/include/android-base/logging.h
 hybris/common/q/bionic/libc/include/android-base/macros.h
 hybris/common/q/bionic/libc/include/android-base/mapped_file.h
 hybris/common/q/bionic/libc/include/android-base/memory.h
 hybris/common/q/bionic/libc/include/android-base/off64_t.h
 hybris/common/q/bionic/libc/include/android-base/parsedouble.h
 hybris/common/q/bionic/libc/include/android-base/parseint.h
 hybris/common/q/bionic/libc/include/android-base/parsenetaddress.h
 hybris/common/q/bionic/libc/include/android-base/properties.h
 hybris/common/q/bionic/libc/include/android-base/quick_exit.h
 hybris/common/q/bionic/libc/include/android-base/scopeguard.h
 hybris/common/q/bionic/libc/include/android-base/stringprintf.h
 hybris/common/q/bionic/libc/include/android-base/strings.h
 hybris/common/q/bionic/libc/include/android-base/test_utils.h
 hybris/common/q/bionic/libc/include/android-base/thread_annotations.h
 hybris/common/q/bionic/libc/include/android-base/threads.h
 hybris/common/q/bionic/libc/include/android-base/unique_fd.h
 hybris/common/q/bionic/libc/include/android-base/utf8.h
 hybris/common/q/bionic/libc/include/android/dlext.h
 hybris/common/q/bionic/libc/include/android/versioning.h
 hybris/common/q/bionic/libc/private/CFIShadow.h
 hybris/common/q/bionic/libc/private/ErrnoRestorer.h
 hybris/common/q/bionic/libc/private/FdPath.h
 hybris/common/q/bionic/libc/private/KernelArgumentBlock.h
 hybris/common/q/bionic/libc/private/MallocXmlElem.h
 hybris/common/q/bionic/libc/private/NetdClientDispatch.h
 hybris/common/q/bionic/libc/private/ScopedPthreadMutexLocker.h
 hybris/common/q/bionic/libc/private/ScopedReaddir.h
 hybris/common/q/bionic/libc/private/ScopedSignalBlocker.h
 hybris/common/q/bionic/libc/private/ScopedSignalHandler.h
 hybris/common/q/bionic/libc/private/WriteProtected.h
 hybris/common/q/bionic/libc/private/bionic_config.h
 hybris/common/q/bionic/libc/private/bionic_constants.h
 hybris/common/q/bionic/libc/private/bionic_macros.h
 hybris/common/q/bionic/libc/private/bionic_page.h
 hybris/common/q/bionic/libc/private/bionic_prctl.h
 hybris/common/q/bionic/libc/private/bionic_sdk_version.h
 hybris/common/q/bionic/libc/private/bionic_string_utils.h
 hybris/common/q/bionic/libc/private/bionic_systrace.h
 hybris/common/q/bionic/libc/private/kernel_sigset_t.h
 hybris/egl/platforms/common/native_handle.c
 hybris/gralloc/GrallocUsageConversion.cpp
 hybris/include/hybris/grallocusage/GrallocUsageConversion.h
 hybris/utils/getprop.c
 hybris/utils/setprop.c
Copyright: 2005-2008, The Android Open Source Project
  2007, The Android Open Source Project
  2008, The Android Open Source Project
  2010, The Android Open Source Project
  2011, The Android Open Source Project
  2012, The Android Open Source Project
  2013, The Android Open Source Project
  2014, The Android Open Source Project
  2015, The Android Open Source Project
  2016, The Android Open Source Project
  2017, The Android Open Source Project
  2018, The Android Open Source Project
  2019, The Android Open Source Project
License: Apache-2.0

Files: hybris/common/mm/bionic/libc/private/thread_private.h
 hybris/common/n/bionic/libc/private/thread_private.h
 hybris/common/o/bionic/libc/private/thread_private.h
 hybris/common/q/bionic/libc/private/thread_private.h
License: public-domain
 Disclaimed at the top of the files.
 .
 "PUBLIC DOMAIN: No Rights Reserved. Marco S Hyman <marc@snafu.org>"

Files: compat/Android.common.mk
 compat/camera/Android.mk
 compat/hwc2/Android.mk
 compat/hwc2/tests/support.h
 compat/input/Android.mk
 compat/media/Android.mk
 compat/surface_flinger/Android.mk
 compat/ui/Android.mk
 hybris/AUTHORS
 hybris/Makefile.am
 hybris/README
 hybris/autogen.sh
 hybris/camera/Makefile.am
 hybris/camera/libcamera.pc.in
 hybris/common/Makefile.am
 hybris/common/jb/Makefile.am
 hybris/common/jb/README.TXT
 hybris/common/mm/Makefile.am
 hybris/common/n/Makefile.am
 hybris/common/o/Makefile.am
 hybris/common/o/bionic/libc/async_safe/log.h
 hybris/common/o/ld.config.format.md
 hybris/common/q/Makefile.am
 hybris/common/q/bionic/libc/async_safe/log.h
 hybris/common/q/bionic/libc/include/sys/cdefs-android.h
 hybris/common/q/ld.config.format.md
 hybris/common/q/linker.arm.map
 hybris/common/q/linker.generic.map
 hybris/common/q/make.txt
 hybris/common/stub/Makefile.am
 hybris/configure.ac
 hybris/egl/Makefile.am
 hybris/egl/egl.pc.in
 hybris/egl/glvnd/10_libhybris.json.in
 hybris/egl/platforms/Makefile.am
 hybris/egl/platforms/common/Makefile.am
 hybris/egl/platforms/common/eglplatformcommon.cpp
 hybris/egl/platforms/common/eglplatformcommon.h
 hybris/egl/platforms/common/hybris-egl-platform.pc.in
 hybris/egl/platforms/common/nativewindowbase.cpp
 hybris/egl/platforms/common/nativewindowbase.h
 hybris/egl/platforms/common/support.h
 hybris/egl/platforms/common/wayland-egl-priv.h
 hybris/egl/platforms/common/wayland-egl.c
 hybris/egl/platforms/common/wayland-egl.pc.in
 hybris/egl/platforms/fbdev/Makefile.am
 hybris/egl/platforms/fbdev/eglplatform_fbdev.cpp
 hybris/egl/platforms/hwcomposer/Makefile.am
 hybris/egl/platforms/hwcomposer/eglplatform_hwcomposer.cpp
 hybris/egl/platforms/hwcomposer/hwcomposer-egl.pc.in
 hybris/egl/platforms/null/Makefile.am
 hybris/egl/platforms/null/eglplatform_null.c
 hybris/egl/platforms/wayland/Makefile.am
 hybris/egl/ws.h
 hybris/glesv1/Makefile.am
 hybris/glesv1/glesv1_cm.pc.in
 hybris/glesv2/Makefile.am
 hybris/glesv2/glesv2.pc.in
 hybris/gralloc/Makefile.am
 hybris/gralloc/gralloc.c
 hybris/gralloc/libgralloc.pc.in
 hybris/hardware/Makefile.am
 hybris/hardware/libhardware.pc.in
 hybris/hwc2/Makefile.am
 hybris/hwc2/libhwc2.pc.in
 hybris/include/GL/vms_x_fix.h
 hybris/include/GLES/egl.h
 hybris/include/Makefile.am
 hybris/include/hybris/gralloc/gralloc.h
 hybris/input/Makefile.am
 hybris/input/libis.pc.in
 hybris/libnfc_ndef_nxp/Makefile.am
 hybris/libnfc_ndef_nxp/libnfc_ndef_nxp.pc.in
 hybris/libnfc_nxp/Makefile.am
 hybris/libnfc_nxp/libnfc_nxp.pc.in
 hybris/libsync/Makefile.am
 hybris/libsync/hybris-sync.pc.in
 hybris/libsync/libsync.pc.in
 hybris/media/Makefile.am
 hybris/media/libmedia.pc.in
 hybris/opencl/Makefile.am
 hybris/opencl/OpenCL.pc.in
 hybris/properties/Makefile.am
 hybris/properties/libandroid-properties.pc.in
 hybris/sf/Makefile.am
 hybris/sf/libsf.pc.in
 hybris/tests/Makefile.am
 hybris/ui/Makefile.am
 hybris/utils/Makefile.am
 hybris/vibrator/Makefile.am
 hybris/vibrator/libvibrator.pc.in
 hybris/wifi/Makefile.am
 hybris/wifi/libwifi.pc.in
 utils/extract-headers.sh
 utils/generate_glesv1/README
 utils/generate_glesv1/glesv1_build_wrapper.sh
 utils/generate_glesv1/glesv1_cm_list_symbols.sh
 utils/generate_glesv1/glesv1_cproto_prepare.sh
 utils/generate_glesv1/glesv1_cproto_template.h
 utils/travis-build.sh
Copyright: Libhybris contributors
License: Apache-2.0
Comment:
 No copyright/license header in these files.
 .
 Assuming same license as for the majority of code files.

Files: compat/camera/camera_compatibility_layer.cpp
 compat/camera/direct_camera_test.cpp
 compat/input/direct_input_test.cpp
 compat/input/input_compatibility_layer.cpp
 compat/media/camera_service.cpp
 compat/media/decoding_service.cpp
 compat/media/decoding_service_priv.h
 compat/media/direct_media_test.cpp
 compat/media/direct_media_test.h
 compat/media/media_buffer_layer.cpp
 compat/media/media_buffer_priv.h
 compat/media/media_codec_layer.cpp
 compat/media/media_codec_list.cpp
 compat/media/media_codec_source_layer.cpp
 compat/media/media_compatibility_layer.cpp
 compat/media/media_core.cpp
 compat/media/media_format_layer.cpp
 compat/media/media_format_layer_priv.cpp
 compat/media/media_format_layer_priv.h
 compat/media/media_message_layer.cpp
 compat/media/media_message_priv.h
 compat/media/media_meta_data_layer.cpp
 compat/media/media_meta_data_priv.h
 compat/media/media_recorder_client.cpp
 compat/media/media_recorder_client.h
 compat/media/media_recorder_factory.cpp
 compat/media/media_recorder_factory.h
 compat/media/media_recorder_layer.cpp
 compat/media/media_recorder_observer.cpp
 compat/media/media_recorder_observer.h
 compat/media/surface_texture_client_hybris.cpp
 compat/media/surface_texture_client_hybris_priv.h
 compat/surface_flinger/direct_sf_test.cpp
 compat/surface_flinger/surface_flinger_compatibility_layer.cpp
 hybris/camera/camera.c
 hybris/common/stub/linker.c
 hybris/include/hybris/camera/camera_compatibility_layer.h
 hybris/include/hybris/camera/camera_compatibility_layer_capabilities.h
 hybris/include/hybris/camera/camera_compatibility_layer_configuration_translator.h
 hybris/include/hybris/common/hooks.h
 hybris/include/hybris/input/input_stack_compatibility_layer.h
 hybris/include/hybris/input/input_stack_compatibility_layer_flags.h
 hybris/include/hybris/input/input_stack_compatibility_layer_flags_key.h
 hybris/include/hybris/input/input_stack_compatibility_layer_flags_motion.h
 hybris/include/hybris/internal/camera_control.h
 hybris/include/hybris/internal/surface_flinger_compatibility_layer_internal.h
 hybris/include/hybris/media/decoding_service.h
 hybris/include/hybris/media/media_buffer_layer.h
 hybris/include/hybris/media/media_codec_layer.h
 hybris/include/hybris/media/media_codec_list.h
 hybris/include/hybris/media/media_codec_source_layer.h
 hybris/include/hybris/media/media_compatibility_layer.h
 hybris/include/hybris/media/media_format_layer.h
 hybris/include/hybris/media/media_message_layer.h
 hybris/include/hybris/media/media_meta_data_layer.h
 hybris/include/hybris/media/media_recorder_layer.h
 hybris/include/hybris/media/recorder_compatibility_layer.h
 hybris/include/hybris/media/surface_texture_client_hybris.h
 hybris/include/hybris/surface_flinger/surface_flinger_compatibility_layer.h
 hybris/input/is.c
 hybris/media/media.c
 hybris/sf/sf.c
 hybris/tests/test_audio.c
 hybris/tests/test_camera.cpp
 hybris/tests/test_input.c
 hybris/tests/test_media.cpp
 hybris/tests/test_recorder.cpp
 hybris/tests/test_sf.cpp
 hybris/tests/test_wifi.c
 hybris/wifi/wifi.c
Copyright: 2012, Canonical Ltd
  2013, Canonical Ltd
  2013-2014, Canonical Ltd
  2014, Canonical Ltd
  2016, Canonical Ltd
License: Apache-2.0

Files: hybris/egl/glvnd/generate/egl.xml
 hybris/include/CL/cl.h
 hybris/include/CL/cl.hpp
 hybris/include/CL/cl2.hpp
 hybris/include/CL/cl_d3d10.h
 hybris/include/CL/cl_d3d11.h
 hybris/include/CL/cl_dx9_media_sharing.h
 hybris/include/CL/cl_dx9_media_sharing_intel.h
 hybris/include/CL/cl_egl.h
 hybris/include/CL/cl_ext.h
 hybris/include/CL/cl_ext_intel.h
 hybris/include/CL/cl_gl.h
 hybris/include/CL/cl_gl_ext.h
 hybris/include/CL/cl_platform.h
 hybris/include/CL/cl_va_api_media_sharing_intel.h
 hybris/include/CL/opencl.h
 hybris/include/GL/glext.h
 hybris/include/GL/glxext.h
 hybris/include/GL/wglext.h
 hybris/include/KHR/khrplatform.h
Copyright: 2007-2010, The Khronos Group Inc.
  2007-2012, The Khronos Group Inc.
  2008-2015, The Khronos Group Inc.
  2008-2016, The Khronos Group Inc.
  2008-2017, The Khronos Group Inc.
  2008-2018, The Khronos Group Inc.
  2013-2017, The Khronos Group Inc.
License: MIT-Khronos

Files: hybris/egl/helper.cpp
 hybris/egl/helper.h
 hybris/glesv1/glesv1_cm.c
 hybris/include/hybris/common/floating_point_abi.h
 hybris/libnfc_ndef_nxp/libnfc_ndef_nxp.c
 hybris/libnfc_nxp/libnfc_nxp.c
 hybris/tests/test_gps.c
 hybris/tests/test_nfc.c
 hybris/tests/test_vibrator.c
 hybris/vibrator/vibrator.c
Copyright: 2012, Jolla Ltd.
  2013, Jolla Ltd.
  2014, Jolla Ltd.
License: Apache-2.0

Files: hybris/egl/platforms/common/server_wlegl.cpp
 hybris/egl/platforms/common/server_wlegl.h
 hybris/egl/platforms/common/server_wlegl_buffer.cpp
 hybris/egl/platforms/common/server_wlegl_buffer.h
 hybris/egl/platforms/common/server_wlegl_handle.cpp
 hybris/egl/platforms/common/server_wlegl_handle.h
 hybris/egl/platforms/common/server_wlegl_private.h
 hybris/egl/platforms/common/wayland-android.xml
 hybris/egl/platforms/common/windowbuffer.cpp
 hybris/egl/platforms/common/windowbuffer.h
Copyright: 2012, Collabora, Ltd.
License: NTP

Files: compat/ui/ui_compatibility_layer.cpp
 hybris/egl/eglhybris.h
 hybris/hardware/hardware.c
 hybris/include/hybris/ui/ui_compatibility_layer.h
 hybris/tests/test_lights.c
 hybris/tests/test_sensors.c
 hybris/tests/test_ui.c
 hybris/ui/ui.c
Copyright: 2012, Simon Busch <morphis@gravedo.de>
  2013, Simon Busch <morphis@gravedo.de>
License: Apache-2.0

Files: hybris/include/GLES/gl.h
 hybris/include/GLES/glext.h
 hybris/include/GLES/glplatform.h
 hybris/include/GLES2/gl2.h
 hybris/include/GLES2/gl2ext.h
 hybris/include/GLES2/gl2platform.h
 hybris/include/GLES3/gl3ext.h
 hybris/include/GLES3/gl3platform.h
Copyright: 1991-2000 Silicon Graphics, Inc.
License: SGI-B-2.0

Files: hybris/common/hooks_shm.h
 hybris/common/legacy_properties/properties.c
 hybris/egl/egl.c
 hybris/include/hybris/properties/properties.h
 hybris/tests/test_egl.cpp
 hybris/tests/test_glesv2.cpp
 hybris/tests/test_hwcomposer.cpp
Copyright: 2012, Carsten Munk <carsten.munk@gmail.com>
License: Apache-2.0

Files: hybris/egl/platforms/fbdev/fbdev_window.cpp
 hybris/egl/platforms/fbdev/fbdev_window.h
 hybris/egl/platforms/hwcomposer/hwcomposer_window.cpp
 hybris/egl/platforms/hwcomposer/hwcomposer_window.h
 hybris/egl/ws.c
Copyright: 2013, libhybris
License: Apache-2.0

Files: hybris/include/EGL/eglplatform.h
Copyright: 2007-2020, The Khronos Group Inc.
License: Apache-2.0

Files: hybris/include/VG/openvg.h
 hybris/include/VG/vgext.h
 hybris/include/VG/vgplatform.h
 hybris/include/VG/vgu.h
Copyright: 2008, The Khronos Group Inc.
License: MIT-Khronos

Files: hybris/common/q/bionic/libc/private/bionic_asm_arm.h
 hybris/common/q/bionic/libc/private/bionic_asm_arm64.h
 hybris/common/q/bionic/libc/private/bionic_asm_x86.h
 hybris/common/q/bionic/libc/private/bionic_asm_x86_64.h
Copyright: 1990, The Regents of the University of California.
License: BSD-3-clause

Files: hybris/common/wrapper_code.h
 hybris/common/wrapper_code_generic_arm.c
 hybris/common/wrappers.c
Copyright: 2017, Franz-Josef Haider <f_haider@gmx.at>
License: Apache-2.0

Files: hybris/egl/glvnd/egldispatchstubs.h
 hybris/egl/glvnd/generate/egl_other.xml
 hybris/egl/glvnd/generate/genCommon.py
 hybris/egl/glvnd/generate/gen_egl_dispatch.py
Copyright: 2015, NVIDIA CORPORATION.
  2016, NVIDIA CORPORATION.
License: MIT-Nvidia

Files: compat/hwc2/hwc2_compatibility_layer.cpp
 hybris/hwc2/hwc2.c
 hybris/include/hybris/hwc2/hwc2_compatibility_layer.h
Copyright: 2018, TheKit <nekit1000@gmail.com>
License: Apache-2.0

Files: hybris/common/logging.c
 hybris/common/logging.h
 hybris/tests/test_egl_configs.c
Copyright: 2013, Thomas Perl <m@thp.io>
License: Apache-2.0

Files: debian/patches/0006-hooks-hook-__cxa_atexit-ourself-to-prevent-segfault-.patch
 hybris/common/dso_handle_counters.cpp
 hybris/common/dso_handle_counters.h
Copyright: 2020, UBports Foundation
License: Apache-2.0

Files: hybris/common/n/bionic/libc/include/stdatomic.h
 hybris/common/o/bionic/libc/include/stdatomic.h
 hybris/common/q/bionic/libc/include/stdatomic.h
Copyright: 2011, Ed Schouten <ed@FreeBSD.org>
License: BSD-2-clause-FreeBSD

Files: hybris/include/GL/glx.h
 hybris/include/GL/glx_mangle.h
 hybris/include/GL/osmesa.h
Copyright: 1999-2005, Brian Paul
  1999-2006, Brian Paul
License: Expat

Files: hybris/egl/platforms/wayland/eglplatform_wayland.cpp
 hybris/egl/platforms/wayland/wayland_window.cpp
 hybris/egl/platforms/wayland/wayland_window.h
Copyright: 2013, Jolla Ltd.
License: LGPL-2.1+

Files: hybris/include/GLES3/gl3.h
 hybris/include/GLES3/gl31.h
 hybris/include/GLES3/gl32.h
Copyright: 2013-2016, The Khronos Group Inc.
License: MIT-Khronos
Comment: Generated from the Khronos OpenGL / OpenGL ES XML API Registry.

Files: compat/media/media_recorder.cpp
 compat/media/media_recorder.h
Copyright: 2008, The Android Open Source Project
  2014, Canonical Ltd
License: Apache-2.0

Files: hybris/tests/test_common.cpp
 hybris/tests/test_common.h
Copyright: 2012, Carsten Munk <carsten.munk@gmail.com>
  2018, TheKit <nekit1000@gmail.com>
  2020, Matti LehtimÃ¤ki <matti.lehtimaki@gmail.com>
License: Apache-2.0

Files: hybris/libsync/sync.c
 hybris/libsync/sync_test.c
Copyright: 2012, Google, Inc
License: Apache-2.0

Files: hybris/include/hybris/common/dlfcn.h
 hybris/include/hybris/dlfcn/dlfcn.h
Copyright: 2013, Intel Corporation
License: Apache-2.0

Files: compat/hwc2/tests/hwcomposer.h
 hybris/egl/platforms/hwcomposer/hwcomposer.h
Copyright: 2015, Jolla Ltd
License: Apache-2.0

Files: hybris/opencl/opencl.c
 hybris/tests/test_opencl.c
Copyright: 2018, Matti LehtimÃ¤ki <matti.lehtimaki@gmail.com>
License: Apache-2.0

Files: hybris/common/n/linker_non_pie.cpp
 hybris/common/n/linker_non_pie.h
Copyright: 2017, The LineageOS Project
License: Apache-2.0

Files: hybris/egl/glvnd/eglglvnd.cpp
 hybris/egl/glvnd/generate/egl_hybris.xml
Copyright: 2020, UBports Foundation.
  2021, UBports Foundation.
License: Apache-2.0

Files: utils/generate_glesv1/generate_wrappers.py
 utils/generate_nfc/generate_wrappers.py
 utils/generate_wrapper_macros.py
Copyright: 2012, Thomas Perl <m@thp.io>; 2012-10-19
  2013, Jolla Ltd.
License: BSD-2-clause

Files: hybris/common/o/bionic/libc/private/bionic_ieee.h
 hybris/common/q/bionic/libc/private/bionic_ieee.h
Copyright: 1992-1993, The Regents of the University of California.
License: BSD-4-clause-LawrenceLab

Files: hybris/include/EGL/egl.h
 hybris/include/EGL/eglext.h
Copyright: 2013-2020, The Khronos Group Inc.
License: Apache-2.0
Comment: Generated from the Khronos EGL XML API Registry.

Files: hybris/common/strlcat.c
 hybris/common/strlcpy.c
Copyright: 1998, Todd C. Miller <Todd.Miller@courtesan.com>
License: ISC

Files: hybris/egl/glvnd/egldispatchstubs.c
 hybris/egl/glvnd/generate/eglFunctionList.py
Copyright: 2016, NVIDIA CORPORATION.
  2021, UBports Foundation.
License: MIT-Nvidia

Files: hybris/common/sysconf.c
Copyright: 2013, Adrian Negreanu <adrian.m.negreanu@intel.com>
License: Apache-2.0

Files: hybris/glesv2/glesv2.c
Copyright: 2012, Carsten Munk <carsten.munk@gmail.com>
  2017, Bhushan Shah <bshah@kde.org>
  2020, Matti Lehtimäki <matti.lehtimaki@gmail.com>
License: Apache-2.0

Files: hybris/common/hooks.c
Copyright: 2012, Canonical Ltd
  2012, Carsten Munk <carsten.munk@gmail.com>
  2013, Christophe Chapuis <chris.chapuis@gmail.com>
License: Apache-2.0

Files: hybris/common/legacy_properties/runtime_cache.c
Copyright: 2008, The Android Open Source Project
  2012, Carsten Munk <carsten.munk@gmail.com>
  2013, Canonical Ltd
  2013, Jolla Ltd. <robin.burchell@jollamobile.com>
  2013, Simon Busch <morphis@gravedo.de>
  2015, Jolla Ltd. <mikko.harju@jollamobile.com>
License: Apache-2.0

Files: hybris/common/legacy_properties/cache.c
Copyright: 2008, The Android Open Source Project
  2012, Carsten Munk <carsten.munk@gmail.com>
  2013, Canonical Ltd
  2013, Jolla Ltd. <robin.burchell@jollamobile.com>
  2013, Simon Busch <morphis@gravedo.de>
License: Apache-2.0

Files: hybris/common/hooks_shm.c
Copyright: 2012, Carsten Munk <carsten.munk@gmail.com>
  2013, Christophe Chapuis <chris.chapuis@gmail.com>
License: Apache-2.0

Files: hybris/tests/test_glesv3.cpp
Copyright: 2012, Carsten Munk <carsten.munk@gmail.com>
  2017, Franz-Josef Haider <f_haider@gmx.at>
  2020, Matti LehtimÃ¤ki <matti.lehtimaki@gmail.com>
License: Apache-2.0

Files: compat/hwc2/tests/direct_hwc2_test.cpp
Copyright: 2012, Carsten Munk <carsten.munk@gmail.com>
  2018, TheKit <nekit1000@gmail.com>
License: Apache-2.0

Files: hybris/egl/platforms/common/hybris_nativebufferext.h
Copyright: 2011, The Android Open Source Project
  2013, Jolla Ltd.
License: Apache-2.0

Files: hybris/properties/hybris_properties.c
Copyright: 2018, Jolla Ltd. <franz.haider@jolla.com>
  2020, UBports foundation <marius@ubports.com>
License: Apache-2.0

Files: hybris/common/legacy_properties/properties_p.h
Copyright: 2013, Jolla Ltd. <robin.burchell@jollamobile.com>
License: Apache-2.0

Files: hybris/tests/test_dlopen.c
Copyright: 2019, Zhongmin Wu <vwzm@live.com>
License: Apache-2.0

Files: hybris/include/hybris/input/input_stack_compatibility_layer_codes_key.h
Copyright: 2013, Canonical Ltd
License: Apache-2.0

Files: hybris/include/hybris/common/binding.h
Copyright: 2013, Simon Busch <morphis@gravedo.de>
License: Apache-2.0
Comment: Auto-generated via "generate_wrapper_macros.py"

Files: hybris/common/wrappers.h
Copyright: 2013, Franz-Josef Haider <f_haider@gmx.at>
License: BSD-2-clause

Files: hybris/common/q/bionic/libc/private/bionic_asm_mips.h
Copyright: 2001-2002, Opsycon AB (www.opsycon.se
  www.opsycon.com)
License: BSD-2-clause-Opsycon

Files: hybris/include/GL/gl.h
Copyright: 1999-2006, Brian Paul
  2009, VMware, Inc.
License: Expat

Files: hybris/include/GL/gl_mangle.h
Copyright: (C) 1999-2007 Brian Paul
License: Expat
Comment: Originates from Mesa. Assume Mesa'a default copyright.

Files: hybris/include/GL/wmesa.h
Copyright: 1995-1998, Brian Paul
License: LGPL-2.0+
Comment: Originates from Mesa. Doesn't seem to be included from any file.

Files: utils/load_sym_files.py
Copyright: 2013, Adrian Negreanu <groleo@gmail.com>
License: GPL-3.0+

Files: debian/update_upstream_version.py
Copyright: 2020, UBports Foundation.
License: GPL-3.0+

Files: hybris/egl/glvnd/generate/static_data.py
Copyright: 2015, Intel Corporation
License: MIT-Xorg

Files: utils/generate_nfc/generate.sh
 utils/generate_nfc/README
 utils/generate_nfc/README.android-src
 utils/generate_nfc/linux/README
 utils/generate_nfc/linux/pn544.h
 utils/generate_nfc/symbols/README
 utils/generate_nfc/symbols/libnfc.so.txt
 utils/generate_nfc/symbols/libnfc_ndef.so.txt
Copyright: 2013, Jolla Ltd.
License: BSD-2-Clause
Comment:
 The file doesn't contain a license header,
 assuming same license as adjacent code files.

Files: hybris/include/GL/internal/dri_interface.h
Copyright: 1998-1999, Precision Insight, Inc., Cedar Park, Texas.
  2007-2008, Red Hat, Inc.
  IBM Corporation 2004
License: MIT-Xorg

Files: hybris/include/GL/internal/sarea.h
Copyright: 1998-1999, Precision Insight, Inc., Cedar Park, Texas.
  2000, VA Linux Systems, Inc.
License: MIT-Xorg

Files: hybris/include/EGL/eglmesaext.h
Copyright: 2008, Tungsten Graphics, Inc., Cedar Park, Texas.
License: MIT-Xorg

Files: debian/*
Copyright: 2012-2014, 2016, Canonical Ltd
 2017 Marius Gripsgard.
 2018-2019 Dalton Durst.
 2019 Alfred Neumayer.
 2019-2021 UBports Foundation.
License: Apache-2.0


License: ISC
 Permission to use, copy, modify, and distribute this software for any
 purpose with or without fee is hereby granted, provided that the above
 copyright notice and this permission notice appear in all copies.
 .
 THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and associated documentation files (the "Software"),
 to deal in the Software without restriction, including without limitation
 the rights to use, copy, modify, merge, publish, distribute, sublicense,
 and/or sell copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included
 in all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 BRIAN PAUL BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

License: MIT-Khronos
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and/or associated documentation files (the
 "Materials"), to deal in the Materials without restriction, including
 without limitation the rights to use, copy, modify, merge, publish,
 distribute, sublicense, and/or sell copies of the Materials, and to
 permit persons to whom the Materials are furnished to do so, subject to
 the following conditions:
 .
 The above copyright notice and this permission notice shall be included
 in all copies or substantial portions of the Materials.
 .
 THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.

License: MIT-Nvidia
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and associated documentation files (the "Software"),
 to deal in the Software without restriction, including without limitation
 on the rights to use, copy, modify, merge, publish, distribute, sub
 license, and/or sell copies of the Software, and to permit persons to whom
 the Software is furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice (including the next
 paragraph) shall be included in all copies or substantial portions of the
 Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.  IN NO EVENT SHALL
 IBM AND/OR ITS SUPPLIERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 IN THE SOFTWARE.

License: MIT-Xorg
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and associated documentation files (the "Software"),
 to deal in the Software without restriction, including without limitation
 the rights to use, copy, modify, merge, publish, distribute, sublicense,
 and/or sell copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice (including the next
 paragraph) shall be included in all copies or substantial portions of the
 Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 IN THE SOFTWARE.

License: NTP
 Permission to use, copy, modify, distribute, and sell this software and
 its documentation for any purpose is hereby granted without fee, provided
 that the above copyright notice appear in all copies and that both that
 copyright notice and this permission notice appear in supporting
 documentation, and that the name of the copyright holders not be used in
 advertising or publicity pertaining to distribution of the software
 without specific, written prior permission.  The copyright holders make
 no representations about the suitability of this software for any
 purpose.  It is provided "as is" without express or implied warranty.
 .
 THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
 FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY
 SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
 RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
 CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

License: SGI-B-2.0
 SGI FREE SOFTWARE LICENSE B (Version 2.0, Sept. 18, 2008)
 Copyright (C) 1991-2000 Silicon Graphics, Inc. All Rights Reserved.
 .
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and associated documentation files (the "Software"),
 to deal in the Software without restriction, including without limitation
 the rights to use, copy, modify, merge, publish, distribute, sublicense,
 and/or sell copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following conditions:
 .
 The above copyright notice including the dates of first publication and
 either this permission notice or a reference to
 http://oss.sgi.com/projects/FreeB/
 shall be included in all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 SILICON GRAPHICS, INC. BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
 .
 Except as contained in this notice, the name of Silicon Graphics, Inc.
 shall not be used in advertising or otherwise to promote the sale, use or
 other dealings in this Software without prior written authorization from
 Silicon Graphics, Inc.

License: BSD-2-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
 .
 1. Redistributions of source code must retain the above copyright notice,
    this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: BSD-2-clause-AOSP
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

License: BSD-2-clause-FreeBSD
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

License: BSD-2-clause-Opsycon
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

License: BSD-3-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. Neither the name of the University nor the names of its contributors
    may be used to endorse or promote products derived from this software
    without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

License: BSD-4-clause-LawrenceLab
 This software was developed by the Computer Systems Engineering group
 at Lawrence Berkeley Laboratory under DARPA contract BG 91-66 and
 contributed to Berkeley.
 .
 All advertising materials mentioning features or use of this software
 must display the following acknowledgement:
	This product includes software developed by the University of
	California, Lawrence Berkeley Laboratory.
 .
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. All advertising materials mentioning features or use of this software
    must display the following acknowledgement:
	This product includes software developed by the University of
	California, Berkeley and its contributors.
 4. Neither the name of the University nor the names of its contributors
    may be used to endorse or promote products derived from this software
    without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

License: Apache-2.0
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 .
 http://www.apache.org/licenses/LICENSE-2.0
 .
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 .
 On Debian systems, the complete text of the Apache version 2.0 license
 can be found in "/usr/share/common-licenses/Apache-2.0".

License: LGPL-2.0+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public
 License along with this library; if not, write to the Free
 Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License can be found in "/usr/share/common-licenses/LGPL-2".

License: LGPL-2.1+
 This package is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this program. If not, see <https://www.gnu.org/licenses/>.
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License can be found in "/usr/share/common-licenses/LGPL-2.1".

License: GPL-3.0+
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 3 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU General
 Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
